MANPATH(1)

NOME
manpath - determina o caminho de procura para páginas do manual

SINOPSE
manpath [-qgdc?V] [-m sistema[,...]] [-C ficheiro]

DESCRIÇÃO
Se $MANPATH estiver definida, manpath mostra simplesmente o seu conteúdo e emite um aviso. Senão, manpath determina um caminho de procura para a hierarquia de páginas do manual adequado e mostra os resultados. O caminho separado por dois-pontos é determinado usando informação retirada do ficheiro de configuração do man-db – (/etc/man_db.conf) e do ambiente do utilizador.

OPÇÕES

-q, --quiet
    Não emite avisos.

-d, --debug
    imprime informação de depuração.

-c, --catpath
    Produz um catpath em oposição a um manpath. Uma vez determinado o manpath, cada elemento do caminho é convertido para o seu catpath relativo.

-g, --global
    Produz um manpath consistindo em todos os caminhos nomeados como "global" dentro do ficheiro de configuração do man-db.

-m sistema[,...], --systems=sistema[,...]
    Se este sistema tem acesso a hierarquias de manual de outro sistema operativo, pode usar esta opção para as incluir na saída do manpath. Para tal, use a opção -m NovoOS. O sistema especificado pode ser uma combinação de nomes de sistemas operativos, separados por vírgulas. Para incluir a hierarquia de páginas do manual do sistema nativo, o nome de sistema man tem de estar incluído na cadeia de argumentos. Esta opção sobrepõe-se à variável de ambiente $SYSTEM.

-C ficheiro, --config-file=ficheiro
    usa este ficheiro do utilizador em vez do predefinido de ~/.manpath.

-?, --help
    mostra uma mensagem de ajuda e sai.

--usage
    mostra uma mensagem curta de uso e sai.

-V, --version
    mostra informação da versão.

AMBIENTE

MANPATH
    Se $MANPATH estiver definida, manpath mostra o seu valor em vez de o determinar imediatamente. Se $MANPATH tiver dois-pontos como prefixo, o valor da variável é anexado à lista determinada pelo conteúdo dos ficheiros de configuração. Se os dois-pontos estão no fim do valor da variável, é a lista determinada que é anexada ao conteúdo da variável. Se o valor da variável contiver duplos dois-pontos (::), a lista determinada é inserida no meio do valor, entre os dois-pontos.

SYSTEM
    Se $SYSTEM estiver definido, terá o mesmo efeito como se fosse especificado como argumento da opção -m.

FICHEIROS

/etc/man_db.conf
    ficheiro de configuração do man-db.

VEJA TAMBÉM
apropos(1), man(1), whatis(1)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).